OneWaySync.BackCheck (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.wanderer
Class OneWaySync.BackCheck

    java.lang.Object
      com.bbn.openmap.util.wanderer.Wanderer
          com.bbn.openmap.util.wanderer.OneWaySync
              com.bbn.openmap.util.wanderer.OneWaySync.BackCheck

All Implemented Interfaces:
  WandererCallback

Enclosing class:
  OneWaySync

    public static class OneWaySync.BackCheck

extends OneWaySync

Nested Class Summary

Nested classes/interfaces inherited from class com.bbn.openmap.util.wanderer.OneWaySync
`OneWaySync.BackCheck`

Field Summary

Fields inherited from class com.bbn.openmap.util.wanderer.OneWaySync
`dirSuffixAvoids, dirSuffixLimits, fakeit, fileSuffixAvoids, fileSuffixLimits, notCopiedList, overwrite, src, tgt, verbose`

Fields inherited from class com.bbn.openmap.util.wanderer.Wanderer
`exhaustiveSearch, topToBottom`

Constructor Summary
`OneWaySync.BackCheck(java.lang.String targetDirName, java.lang.String srcDirName)`

Method Summary
`boolean` | `handleDirectory(java.io.File directory, java.lang.String[] contentNames)` Wanderer method handing directories.
`boolean` | `handleFile(java.io.File file)` WandererCallback method handing files, check and copy those that fit the avoid and limit parameters.

Methods inherited from class com.bbn.openmap.util.wanderer.OneWaySync
`checkTargetSolos, checkToSkipDirectory, checkToSkipFile, copy, getFakeit, getRelativePathFromSource, getRelativePathFromTarget, getSourceFile, getTargetFile, getVerbose, handleDirectory, main, setDirSuffixAvoids, setDirSuffixLimits, setFakeit, setFileSuffixAvoids, setFileSuffixLimits, setVerbose, start, subtractPathFromDirectory, writeUnsynched`

Methods inherited from class com.bbn.openmap.util.wanderer.Wanderer
`getCallback, handleEntry, isExhaustiveSearch, isTopToBottom, setCallback, setExhaustiveSearch, setTopToBottom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneWaySync.BackCheck

    public OneWaySync.BackCheck(java.lang.String targetDirName,
                                java.lang.String srcDirName)

Method Detail

### handleDirectory

    public boolean handleDirectory(java.io.File directory,
                                   java.lang.String[] contentNames)

  Description copied from class: `OneWaySync`
  Wanderer method handing directories.

  Overrides:
    `handleDirectory` in class `OneWaySync`
  Parameters:
    `directory` - the directory to handle
    `contentNames` - an array of Strings representing children of the directory
  Returns:
    true if the wandering should continue.

### handleFile

    public boolean handleFile(java.io.File file)

  Description copied from class: `OneWaySync`
  WandererCallback method handing files, check and copy those that fit the avoid and limit parameters.

  Specified by:
    `handleFile` in interface `WandererCallback`
  Overrides:
    `handleFile` in class `OneWaySync`
  Parameters:
    `file` - to handle.
  Returns:
    true to continue evaluating siblings and parent directory siblings.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details